Package tigase.xmpp.impl

# Class JabberIqPrivacy.OfflineResourceConnection

java.lang.Object
tigase.xmpp.RepositoryAccess
tigase.xmpp.XMPPResourceConnection
tigase.xmpp.impl.JabberIqPrivacy.OfflineResourceConnection

Enclosing class:
  JabberIqPrivacy

public static class JabberIqPrivacy.OfflineResourceConnection extends XMPPResourceConnection

- ## Field Summary

  ### Fields inherited from class tigase.xmpp.XMPPResourceConnection

  `ALL_RESOURCES_CAPS_KEY, ALL_RESOURCES_KEY, ALL_RESOURCES_PRIORITY_KEY, AUTHENTICATION_TIMEOUT_KEY, CLOSING_KEY, CONNECTION_CHECK_TIMESTAMP_KEY, ERROR_KEY, PRESENCE_KEY`

  ### Fields inherited from class tigase.xmpp.RepositoryAccess

  `authRepo, authState, domain, is_anonymous, NO_ACCESS_TO_REP_MSG, NOT_AUTHORIZED_MSG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OfflineResourceConnection(JID connectionId, UserRepository rep, AuthRepository authRepo, SessionManagerHandler loginHandler)`
  Creates a new `XMPPResourceConnection` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAuthorized()`
  This method allows you test this session if it already has been authorized.

  ### Methods inherited from class tigase.xmpp.XMPPResourceConnection

  `authorizeJID, computeCommonSessionDataIfAbsent, computeSessionDataIfAbsent, getActiveSessions, getAllResourcesJIDs, getAuthRepository, getAuthTime, getBareJID, getCommonSessionData, getConnectionId, getConnectionId, getConnectionId, getCreationTime, getDefLang, getjid, getJID, getLastAccessed, getPacketsCounter, getParentSession, getPresence, getPriority, getResource, getSessionData, getSessionId, getSMComponentId, getUserName, incPacketsCounter, isEncrypted, isLocalDomain, isResourceSet, isServerSession, isTlsRequired, isTmpSession, isUserId, login, logout, nextStanzaId, putCommonSessionData, putCommonSessionDataIfAbsent, putSessionData, putSessionDataIfAbsent, queryAuth, removeCommonSessionData, removeParentSession, removeSessionData, setConnectionId, setDefLang, setLastAccessed, setParentSession, setPresence, setPriority, setResource, setSessionId, setTmpSession, streamClosed, toString, unregister`

  ### Methods inherited from class tigase.xmpp.RepositoryAccess

  `addDataList, addOfflineDataList, addPublicDataList, changeRegistration, getAuthenticationToken, getAuthState, getData, getDataGroups, getDataKeys, getDataList, getDomain, getDomainAsJID, getOfflineData, getOfflineDataList, getPublicData, getPublicDataList, isAnonymous, removeData, removeDataGroup, removeOfflineData, removeOfflineDataGroup, removePublicData, removePublicDataGroup, setData, setDataList, setDomain, setOfflineData, setOfflineDataList, setPublicData, setPublicDataList, setRegistration`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OfflineResourceConnection

    public OfflineResourceConnection(JID connectionId, UserRepository rep, AuthRepository authRepo, SessionManagerHandler loginHandler)
    Creates a new `XMPPResourceConnection` instance.

- ## Method Details

  - ### isAuthorized

    public boolean isAuthorized()
    Description copied from class: `RepositoryAccess`
    This method allows you test this session if it already has been authorized. If `true` is returned as method result it means session has already been authorized, if `false` however session is still not authorized.
    Overrides:
      `isAuthorized` in class `XMPPResourceConnection`
    Returns:
      a `boolean` value which informs whether this session has been already authorized or not.